||==========================||
||   Discuz! 版本更新日志   ||
||==========================||


+--------------------------------------+
Discuz! 7.2 Release 2009.11.26
+--------------------------------------+
静态化URL导致多版块置顶不正常
个人资料页语言包缺失
分类信息列表调整
无权限登陆缺少email选项
版块绑定域名后去不掉
修复图章管理撤销问题
修正默认分类项目显示bug
升级时非cdb_表前缀问题
默认feeds数据的错误
辩论帖用户头像重复的问题
分类信息建表字符集问题
版块设置复制加入主题分类设置(增加)
版主用户报告页面IE６下不能提交删除
附件列表中判断媒体文件扩展名不区分大小写（WMA/wma都可以）
升级文件分类信息问题,分类信息数据整理，兼容表的各种情况
收费附件加入可直接下载判断
后台指删帖减积分时各版块积分设置优先
utf-8版中活动帖导出excel乱码问题
解决边栏 Warning错误
去掉特殊主题的帖内广告限制

+--------------------------------------+
Discuz! 7.2 Release 2009.11.20
+--------------------------------------+
版块权限进一步细化，增加更多字段支持，例如注册天数、IP，支持会员名单
增加主题评价排行榜以及JS调用，方便会员调用数据
可改名文件升级提示，注册和后台
管理员不受任何搜索限制
某些主题回帖只对发帖人、自己、管理可见
在任意版块选择性置顶，管理员可以选择版块
回帖时间设置倒序排列，帖子可以单独设置
后台查马甲，根据注册ip登录ip
抢楼贴：支持无限楼层，不允许删帖、快速跳楼检索，解决排序混乱
特殊版块显示需求
多种登录方式（电子邮件、uid、用户名）
分类信息加强，优化分类信息检索
活动报名列表支持导出xls文件
评分理由是否显示添加后台设置开关
分区页头广告自定义
分区版块支持独立域名
编辑帖子时间按照用户组设置
超版可以管理特殊用户组
回收站后台展示改进
鉴定贴功能
计划任务自动解禁禁言用户
保留买卖帖积分记录
上传的附件可直接作为媒体播放
管理组前后台权限细化
可以查看其他用户的全部主题和回复
增加附件的动态链接
通过注册ip自动审核会员
帖子审核机制改进

+--------------------------------------+
Discuz! 7.1 Release 2009.10.01
+--------------------------------------+
增加提醒和论坛动态机制，让你第一时间掌握最新信息
增加首页论坛热点，自动发掘论坛内的热点话题
增加主题评价功能，会员可对主题“支持”或者“反对”，发掘优质内容
增加主题关注功能，让会员更快的了解到自己想关注的主题

增加新手任务功能可引导新注册用户熟悉论坛功能，掌握论坛的基本使用方法，并有效防止注册机
增加首页增加热门主题功能，依照新主题热度系统自动把近几天的热门主题显示在首页
增加站长推荐功能，在帖子内容页右下角浮动显示站长推荐的主题或其他自定义链接，具有良好的广告效果
增加用户组发表 URL 控制，可以禁止发表，也可以发表后不解析，白名单之内的域名不受控制

增加后台任务栏，方便站长在多页面中的设置
增加腾讯财付通接口，给站长多一个选择
增加 Manyou 的 Discuz! 版本，给娱乐性站点提供新的发展方向

限制用户组的最大附件数量限制
词语过滤增强，自动判断 URL
商品主题可通过积分购买，拓展论坛虚拟币交易的市场
支付宝支付接口提高兼容性、改进签约方式

全面增强的插件内核，常用页面增加 20 多处嵌入点，安装、卸载插件从此不再修改代码，解放站长
后台导入导出数据的 XML 格式标准化
特殊主题可在新内核机制下自由拓展，安装、卸载更随意
后台表单提交简易化，直接回车即可任意提交
后台用户组设置、版块设置处增加方便切换栏

道具系统界面改进，增加推荐和热销道具展示
帖子页面增加使用道具快捷链接，方便会员快速使用道具
新增沙发终结者道具脚本，使抢沙发更具趣味性
新增礼品大礼包道具脚本，一次可获得更多道具

用户报告提醒及显示方式的改进
无权限等提示性信息的人性化改进
用户组权限更加人性化改进，让用户了解升级的优势
用户组升级及时给用户发消息通知

编辑器界面更友好，突出显示常用操作图标
附件上传与图片上传分开，突出图片的作用，方便图片的预览、插入及删除等操作
附件与图片上传整合到编辑器，界面更友好，操作更方便
多媒体全面支持各种主流音乐及视频格式 并内置 Flash 播放
转发视频更易更强大，可自动分析优酷、土豆及 Ku6 三大主流视频网站的视频网址

推荐主题功能可提取帖子内附件图片，在显著位置展示
依据帖子的会员参与度为指标的全新主题热度系统，完美展现帖子的真实火热程度
推荐主题自动方式可依据主题热度、评价指数自动推荐

修正 各种以往版本中存在的已知问题，具体细节不再一一描述

+--------------------------------------+
Discuz! 7.0.0 Release 2008.12.12
+--------------------------------------+
全新 社区 UI 设计，开创性操作引导和页面布局，大幅度提升会员使用体验
全新 风格模板体系，打造个性化论坛风格更容易，论坛展现效果更突出
全新 论坛风格可视化编辑器，支持在线设计风格，可实时预览设计效果
全新 论坛风格管理系统，风格安装、卸载一键完成，支持风格效果图
内置 16 款精心设计的炫酷风格和 7 套模板，供各种类型的站点选用，个性十足

新增 注册、登录、发帖等常规操作的悬窗设计，减少用户页面切换行为和次数，增强论坛操作的易用性
新增 注册、登录、发帖等常规操作的提示信息设计，管理员可设置每种操作的提示信息，并支持多条信息随机展示
新增 注册 - 新手任务设置，当会员注册完毕，可以立即提醒进行某个任务，在完成任务后才能拥有正常权限
新增 发帖 - 附件批量上传，会员可预先上传多个附件而后再发帖，在提供便利的同时提高了网络较差时发帖成功率
新增 发帖 - Feed隐私设置，用户可选择是否在个人空间中公开自己的发帖或者回帖行为
增强 发帖 - 可视化编辑器，界面更加简洁，每个标签按钮都可在后台设置开关和提示信息
增强 发帖 - 论坛表情图片，可自动记忆用户选择的表情分类，采用页签方式切换，使用更便捷

全新 投票、悬赏、辩论、活动、视频、商品等特殊帖的展示形式，增强用户参与和使用感受
全新 道具使用、购买，勋章申请、颁发等操作的交互流程，节省页面跳转的同时，增强道具、勋章的使用率
增强 TAG 标签的展示，采用 Tag 云的形式，利于会员更快了解到整个论坛的主题
增强 我的好友，重新设计该页面的布局，显示好友头像以及在线状态，增加与好友互动的常用链接
改进 帖子内容的文本、段落样式，新的样式更有利于阅读
改进 评分信息，展示出评分者的头像，增强网友参与互动的荣誉感
改进 用户权限介绍页面，用户自身权限与其他用户组权限信息展示更加条理
改进 用户个人资料修改及展示页面，信息结构更加清晰
改进 帖子楼层布局，对各类操作进行归类，区块排版更加合理，突出“回复”、“引用”链接，网友互动性增强

全新 论坛任务系统，进一步增强社区会员的互动行为，可利用任务增强社区的粘性、增加活跃度
内置 会员类、帖子类、红包类、推广类、头像类 5 种论坛任务，轻松设计各种论坛任务
支持 任务衍生，每类任务可根据申请条件、完成条件、奖励内容衍生出无数种任务
支持 自定义任务脚本，内置自定义任务的安装、升级、卸载、配置、条件判断、管理接口，任务拓展极为容易
支持 系列化任务，每个任务之间可以设置关联性，形成类似 RPG 游戏类型任务，吸引会员持续参与
支持 多种任务奖励模式，可奖励任意某种积分、道具或拥有高级权限的特殊组，完成任务后自动发送奖励通知
支持 任务自动上线和下线以及周期性任务，管理员设定好以后，可安心其他管理，无需每日牵挂
支持 会员任务提醒，当会员有未完成任务时随时提醒会员，并可随时查看任务执行的进度情况

全新 悬窗管理模式，前台管理操作支持多重组合，高亮、精华、置顶等操作可一次完成，无需页面切换
新增 版主管理面板 - 主题管理，可支持 8 种条件对栏目主题搜索，并对搜索结果执行批量管理操作
新增 版主管理面板 - 帖子管理，可查看、管理任意会员的主题贴、回复贴，支持多种条件进行搜索
新增 版主管理面板 - 主题回收站，版主可对回收站的主题进行搜索、查看，管理员可进行恢复和彻底删除
新增 版主管理面板 - 审核用户，管理员可在后台设置某个版主协助进行会员审核
增强 版主管理面板 - 各种文字编辑功能，对所有可使用 Discuz! 代码的地方，嵌入了简易编辑器，方便录入

全新 论坛边栏系统，将论坛数据外部数据调用和内部数据调用完美整合，高自由度设置、高性能数据缓冲设计
新增 数据调用模块脚本，充分开放的数据接口，可自行设计调用模块脚本，并可于边栏或者其他应用程序调用
新增 自定义模块脚本设计页面，可自由定义设置项目，支持单行文本、多行文本、单选多选、下拉选择
新增 自定义模块脚本缓存模式选择，既可以使用系统缓存功能，也可使用脚本自己的缓存机制
新增 全新设计的内置 13 个模块脚本，功能各异，调用方便，站长可以随意选取和组合
内置 近 30 个常用边栏模块，包括会员排行、主题排行、附件展示、首页聚合等各种功能调用

全新 论坛短消息系统，将短消息由信件模式变为聊天模式，会员短消息交流更突出信息的流畅性和延续性
改进 用户短消息的控制形式，恢复用户组短消息相关权限的设置，方便仅拥有论坛的站点管理会员短信
新增 结合论坛新手实习期和 UCenter 当中的短消息限制策略，可大幅度减少垃圾短消息对用户的骚扰
新增 会员积分变动提示，当积分变化时（如发帖，搜索 ...），系统会自动提示会员，令论坛操作更加生动有趣
改进 论坛警告机制，可查知用户被警告次数，当进行警告操作和收到警告通知的时候，可以了解被警告情况

新增 论坛分区隐藏，当设置某论坛分区隐藏后，则属于此分类的论坛均自动隐藏
新增 版块是否显示全局置顶的主题设置，可让某些版块不显示全局置顶的主题，令主题列表更加简洁
新增 论坛人性化时间方式，除显示精确日期时间以外，用户可以选择使用人性化时间，如 1 分钟前，今天 ...
新增 会员签名显示条件，可设置当帖子内容大于指定字数以后，作者的签名才会显示
新增 会员头像显示方式，可设置采用置静态还是动态模式显示，动态模式可避免对服务器产生较多错误日志
新增 会员签名头像屏蔽功能，当对会员禁言后，除对他的帖子可以屏蔽，还可以屏蔽他的头像、签名

增强 论坛与 UChome 的整合功能，最大限度的支持站点信息互通和应用之间的促进
新增 UCHome 通知提示功能，在论坛会员可以接收到 UCHome的通知信息，并进行提示
新增 UCHome 内容的边栏调用功能，可利用论坛的边栏显示 UCHome 中的信息
新增 UCHome 应用使用情况展示，在会员资料页面和帖子页面，展示该会员在 UCHome 中的最新动态
新增 外部注册限制，设置是否允许来自 UCenter 其他应用用户激活方式的注册

增强 论坛交易积分设置，主题(附件)、悬赏、道具、邀请注册，可单独设置使用何种积分
增强 分类信息和主题分类，分类信息可以和普通主题一样拥有主题分类，形成二级分类信息
新增 论坛自定义导航栏，用户可自由设置前台页面显示的导航栏，增加自己的连接，每个连接可以支持权限定义
增强 论坛表情管理系统，支持在不删除表情的情况下，启用/禁用某类表情
新增 自动设置表情代码功能，表情导入时可无需逐一设置每个表情图片的代码，启用表情更方便
内置 3 套表情图片（含 1 套腾讯授权图片，2 套独立设计图片），16 个主题类型图标，增强论坛生动性

全新 后台管理内核，每种操作均可通过搜索功能进行精确定位，让管理员在上千项功能和设置中随意穿梭
调整 后台功能项目布局，使功能区域划分更加合理，并增加“界面”功能组，方便站长日常管理
增强 后台 - 插件设计功能，插件变量配置类型增加预置项目，方便插件设计
新增 后台 - 网站第三方统计代码设置，站长可以直接贴入代码，启动第三方流量统计系统
新增 后台 - 人性化时间格式设置，可全站开启和关闭此功能
新增 后台 - UCHome 管理设置，可开启或者关闭某些互通功能
新增 后台 - 可视化编辑器设置（含 Discuz! 代码设计)
增强 后台 - 管理组管理功能，简化了新建管理组的操作，可直接增减管理组，并可预设权限
增强 后台 - 会员组管理功能，在增加新会员组时，可选择某个组为参照，用户不必逐一设置新增组的每个权限

优化 论坛帖子查看、发布等功能模板，进一步提升程序执行效率
新增 数据库服务器群集支持，内置支持6个功能服务器群组，为社区发展提供持久动力
新增 数据库服务器群集扩充接口，极易进行二次开发和功能扩充

新增 用户登录密码加密传输设置，用户在输入密码时候可以进行加密后再传输，防御网络监听造成泄露
新增 论坛跨站脚本攻击防御设置(config 文件中有开关)，提供对基本的跨站脚本攻击识别和防御
新增 后台程序更名设计，站长可以将后台入口 admincp.php 变更为其他名字，就算管理员账号被窃，后台依然无法进入
增强 后台安全性设计，管理员进入后台时需要输入安全提问，使后台更加稳固

修正 各种以往版本中存在的已知问题，具体细节不再一一描述

+--------------------------------------+
Discuz! 6.1.0
+--------------------------------------+
全新 会员认证及管理内核，深入整合 UCenter 系统，与其他应用实现无缝挂接
新增 会员行为事件推送系统，供 UChome 或其他 SNS 系统进行调用
新增 标签 TAG 推送系统，供网站其他应用程序有针对性的实时调用
新增 标签 TAG 必填的开关，可单独让某些版块必须填写标签或不使用标签。标签内容可实现自动分词处理
全新 短消息功能与界面，使用更加便捷，短消息阅读采用线索模式，实现消息往来的追踪和回溯
全新 后台管理系统，着力提升功能易用性，力求使流程更加规范，布局更加合理，整个后台更加人性化
去除 版主进入后台的权限，后台权限体系更加清晰，杜绝了管理员与版主的管理平台混用造成的安全隐患
新增 管理行为追踪系统，根据管理员的对某个功能操作的频度，动态调整首页菜单顺序
新增 后台自定义常用菜单功能，每个管理员均可按照自己的需求，定义常用菜单（支持本地和外部链接）
新增 管理菜单呼叫功能，当管理员在后台可通过按“ESC”键，随时打开或关闭后台导航全图和常用菜单
改进 数据增删机制，新增项目或者数据时支持批量添加模式，如添加论坛，主题分类，用户组等等
全新 前台管理模式，新增版主管理面板
采用 二次身份验证机制，管理面板安全可靠
新增 用户版块权限管理，版主可限制某个用户在版块内的权限：看帖，发新主题，发回复，下载附件，上传附件。
此功能将原来比较单一的“禁言”功能进行了强化，权限范围由整个站点细化为某个版块
增强 报告功能，版主可浏览本版的报告列表和进行“已处理”标注，管理帖子时可将自动更新报告状态，避免重复管理
新增 会员警告功能，使论坛管理更富有弹性，可以避免直接使用禁止功能招致会员的反感
新增 防灌水机制安全级别设置，提高验证码、验证问答的服务器兼容性
加强 验证码功能，改善 Flash 验证码的兼容性
新增 语音验证码功能，用户只有根据听到的验证码正确输入后，才能进行登录、注册或发帖
增强 附件防盗链机制，通过设置附件链接有效期，可有效防止附件被盗链或附件被软件批量下载
增强 广告显示模式，支持“页面加载完成后再加载广告”和“在页面加载时直接输出广告”两种加载模式，适应不同站点的需求
新增 Insenz 展示广告缓存机制，有效解决了由于网络故障或服务器繁忙造成的广告无法加载或加载缓慢的问题，从而保障了站长的预期收益
新增 Insenz 主题帖推广“互动帖”活动形式，更新颖的帖子创意表现形式，实现了不同社区之间的互动
增强 Insenz 专题活动，功能更加完善和成熟，并融合了帖子、投票、悬赏、活动等功能
增强 更多人性化的细节处理，比如帖子匹配版块更准确合理，取消修改发帖帐号时间限制等等
增强 论坛勋章功能，勋章可支持管理员发放、自动领取、资格自动审核等模式
新增 勋章资格权限表达式的设置，可实现各种发放勋章的需求
新增 勋章有效期设置，过期勋章自动回收
增强 勋章发放功能，可支持单独发送和批量发送
优化 论坛模板机制，有效降低服务器 IO 请求，提升系统负载能力
优化 论坛头像功能，去除会员头像的使用限制。头像由 UCenter 接管，并内置于控制面板中，自动生成 3 种尺寸的头像，供各种应用调用
增加 积分豁免权设置，某组用户组可以忽略某些积分策略的设置
增加 缩略图质量的设置，可随意调整缩略图的清晰度
增加 增加附件的付费记录和附件收益记录
全新 论坛调用功能，除兼容以往 JS 方式调用，更可进行内部调用
新增 边栏类型调用，列表和浏览帖子页面可设置边栏，显示栏目的优秀资源等内容

+--------------------------------------+
Discuz! 6.0.0
+--------------------------------------+
全面优化论坛显示模板，大幅度提升页面显示速度，为您带来极速浏览体验
论坛页面采用 XHTML 标准以及结构化 CSS 设计，让风格设计更加随心所欲
内置 6 套精心设计的炫酷风格，让论坛更具个性风采，可符合大部分站点需求
新增 Insenz 社区营销服务，为广大站长提供高质量的、与社区定位相匹配的广告和稳定的收益
新增 Insenz 社区主题推广，独有置顶、普通、浮动三种主题模式，定向投放，丰富社区内容，为社区发展助力
新增 Insenz 社区展示广告，与著名媒体和知名品牌合作，紧密结合论坛原有广告机制，推荐优秀创意广告
新增 Insenz 社区关联广告，自动匹配与社区或主题相关的内容，在帖子中显示相关的商品推荐信息
新增 Insenz 社区专题活动，与社区活动相结合在论坛建立虚拟专区，提高社区会员的参与度与活跃度
增强 Insenz 营销管理体系，站长可自由定制审核与通知方式，根据需求决定是否接受广告活动
改善 用户浏览以及操作体验，从细微处入手，给论坛用户带来无微不至的关怀，数十项页面布局和操作提示，让会员轻松上手融入社区
增加 论坛操作快捷键，会员可使用左右键进行部分列表页面翻页
采用 Ajax 技术完成登录状态的正常和隐身模式的切换，
采用 Ajax 技术完成阅读短消息和发送短消息
采用 Ajax 技术完成 smilies 翻页
采用 Ajax 技术完成订阅主题、收藏主题（论坛）、增加好友等功能
采用 Ajax 技术完成特殊主题分类的自动选取，避免页面切换
采用 Ajax 技术完成左右分栏左侧在线人数的更新
采用 Ajax 技术完成会员资料查看、特殊主题的翻页、主题评分、帖子报告等功能
采用 Ajax 技术让管理人员通过双击帖子标题或者帖子内容进行进行标题和内容的编辑
新增 标签（Tag）功能，主动式信息分类让论坛主题相互链接，提高站点 PV
新增 Tag 相关主题，在查看帖子时，采用 Ajax 技术实时读取该 Tag 相关主题
新增 Tag 锁定功能，可避免 Tag 滥用带来的管理麻烦
新增 Tag 词语过滤，采用统一的词语过滤机制，可有效过滤非法关键字
新增 Tag 智能切词，自动识别中英文空格进行 Tag 切分，避免用户频繁切换输入法
新增 Tag 热门词语，可将热门词语在首页显示，引导用户快速定位自己的兴趣内容
新增 Tag 随机词语，为用户随机推荐词语，同时更避免某些 Tag 被永久埋没
新增 辩论主题功能，会员可发起辩论主题，实时显示辩论情况
新增 辩论裁判功能，辩论发起者可指定某个会员为裁判，裁判拥有本辩论的最终裁决权
新增 自动辩手功能，会员选择立场并发表观点后可自动成为辩手。
新增 评价辩手功能，作为会员无论观点如何，均可为自己心仪的辩手投上一票
新增 最佳辩手功能，辩论结束可自动评选本轮辩论的最佳辩手
新增 观众支持功能。会员可以只对辩论的观点进行投票而无需发表看法（既辩论观众）。
新增 辩论有效限期，过期后，辩论主题将会自动进入裁决或者关闭发表功能
全新 论坛交易体系，使论坛可以迅速搭建成 C2C、B2C 电子交易平台
新增 论坛店铺功能，会员自由设定店铺的介绍信息，轻松开店
新增 商品柜台功能，每个交易主题为一个柜台，每个柜台可发布多个商品
新增 商品推荐功能，拥有多个商品的主题，作者可以推荐一个或者多个商品作为招牌
新增 商品展示功能，每个商品除在介绍当中可以上传图片资料，更可以拥有一个独立的展示图片
新增 商品分类功能，通过设置主题分类的功能对商品进行分类，会员可按照分类快速搜索
新增 交易诚信体系，无论是卖家还买家，在完成商品交易后，可以进行诚信度评价，后台拥有作弊防护设置
新增 信用等级体系，后台可以设置每个诚信等级的条件和显示的图片，在浏览商品时，可直接查看诚信等级
新增 流程追踪体系，买卖双方可实时了解自己每一笔交易的状态和进行到的流程。所有操作均可通过短消息自动通知
新增 个性化分类信息主题发布系统，彻底打破论坛传统的（主题+内容）模式。
新增 用户可自由定制信息项目和内容，高自由度的分类信息选项定制和规则判断
新增 分类信息发布时使用 Ajax 技术，可自由切换项目，避免用户频繁请求页面
新增 分类信息模板功能，减少站长的重复劳动，轻松建立分类信息
新增 分类信息显示模板，可自行设计个性化的显示页面
新增 简洁的展现方式，卓越的搜索功能，让用户更快的找到需要的信息
新增 版主推荐主题功能，版主可将论坛比较重要的主题或者优秀的主题推荐出来，引导会员进行浏览
新增 自动推荐主题功能，可以根据发帖时间、最后回复时间、查看数、回复数、精华等规则自动形成推荐主题
新增 论坛单贴屏蔽功能，版主可临时将某个违规帖屏蔽掉，便于发生纷争时作为依据
新增 论坛版块权限公式，管理员可自由定制进入版块的条件，如要求积分达到 100，威望达到 10 等等
新增 论坛版块 SEO 设置，各版块可分别设置关键词，更利于搜索引擎收录
新增 Google 搜索框设置，管理员可后台定制和开启
新增 百度 SiteMap，管理员可后台定制和开启
增强 搜索引擎支持，优化 Robot 文件以及程序，减低搜索引擎对无效页面的访问
增强 论坛静态地址兼容性，避免个别服务器 Rewrite规则无法启用
增强 论坛静态地址定制选项，可自由选择 5 大功能模块是否启用静态地址，提升服务器执行效率
新增 论坛首页快速登录窗口，后台可根据站点需要，自由关闭
新增 列表页面默认排序方式以及论坛首页显示子论坛的个性设置
新增 列表页面主题分类的快捷链接，直接浏览给类主题
新增 查看主题页面的用户信息自由定制，后台可设置看贴时显示作者的哪些信息
新增 只看该作者功能，可以浏览某个用户在该主题当中发表的所有内容
新增 图片附件的显示特效，附件详细信息显示进行重新布局
新增 帖子位置的名称设置，默认显示为 #1, #2 等等，您可以自由定制为“楼主”，“沙发”等流行词汇
新增 邀请注册功能，提升论坛注册会员的质量
新增 四种注册模式设计，即：关闭注册、开放普通注册、开放邀请注册、开放普通注册和邀请注册
新增 可分别设置用户组是否允许发放邀请码，是否需要买入邀请码以及邀请码的有效期等等
新增 被邀请人注册成功后，可自动获得奖励积分
新增 被邀请人注册成功后，可自动对邀请人奖励积分
新增 被邀请人注册成功后，可自动成为邀请人的好友
新增 被邀请人注册成功后，可自动进入某个特殊用户组或者普通用户组
新增 活动主题的类别设置，后台可随意添加，便于会员查找自己喜欢的活动
新增 论坛昨日、最高发帖数统计，让管理员随时了解论坛的发帖状况
增强 论坛验证码功能，有效避免灌水机骚扰
新增 中文验证码支持，Flash 验证码(需 PHP ming 扩展库支持)
新增 验证码显示效果定制，背景、干扰图形、字体、倾斜度、颜色、大小、阴影均可自由调控
新增 注册程序自由更名功能，增加灌水机通过自动扫描技术在论坛进行注册难度
新增 发布视频功能
采用 第三方提供的存储空间和带宽，降低论坛视频存储和播放的成本
采用 智能传送和播放网络选择，可自动适应网通和电信线路，保障浏览和上传到最近的服务器
采用 Flash 组件实现上传视频功能，轻松上传大文件，避免由于会员线路、服务器带宽等原因造成失败操作
采用 Flash 组件实现实时录制功能，用户可以随时录制并且上传，不需要额外安装其它软件
整合 论坛原有资源，用户可以通过“我的视频”查看和管理自己上传的视频
增强 我的功能，增加“我的投票”列表
增强 用户控制面板功能，将短消息、个人资料设置、我的、积分交易等整合到一个平台下
增强 个人资料设置，用户可以根据需要进行论坛登录、基本资料、个性化资料、论坛选项的分别设置
增强 MiniSpace 功能，新增个人店铺和视频功能
增强 JS 调用功能，更多细节设置，满足站长的多样化需求
增强 邮件相关设置，全部转入后台进行管理，无需反复修改文件
增强 支付宝支付接口，可兼容于支付宝最新接口模式
增强 图片附件水印功能，强力支持中文或者英文的文本水印，管理员可在后台随时调整该水印文字
增强 图片处理函数，支持 ImageMagick 扩展库，可大幅度减少 GD 库操作图片时候的压力，适合大型图片论坛改善性能
增强 主题浏览的执行效率，全新的算法可极速浏览拥有万帖回复的主题
增强 IP 地址查询功能。采用新算法和精简地址库，并可兼容其他格式 IP 库。精简后，IP 数据达到 5.4 万条。
增强 CC 防御体系，调整 CC 防御策略，减少在防御功能开启后对正常用户浏览的干扰
增强 文件上传体系，采用黑白名单机制双重机制，彻底杜绝非法文件给论坛带来的潜在威胁
增强 数据库结构校验功能，提升自我修复能力
增加 论坛基本设置校验功能，可对论坛的基本设置项目进行校验，避免由于升级不完整或者误删除造成某写功能无法使用
增强 MySQL 出错处理机制，使用修复机制，减少程序中断机率。
新增 表情分类功能
新增 表情批量导入导出功能
增强 表情批量添加功能 可以设置不同的规则批量设置表情代码
修正 与 SupeSite 冲突的 url-rewrite 规则
修正 搜索条件为积分无效的 bug
修正 左右分栏的无子版板显示上级版块的 bug

+--------------------------------------+
Discuz! 5.5.0
+--------------------------------------+

新增 MiniSpace 功能，充分关注会员的成长历程和个性展示
完全利用论坛原有资源，会员不必更多付出，即可拥有个性展示页面
与 X-Space 完美结合，可顺畅实现 MiniSpace 与 X-Space 自然过渡
完全独立的风格体系，不会对论坛产生干扰，风格定制仅需一个css文件和数个图片即可
模块化功能结构，后台可以自由控制和开启。优异的功能拓展让 MiniSpace 充满无限活力
新增 论坛道具系统，让论坛管理更具有民主性和趣味性，激发会员参与社区建设和社区管理的积极性
完全开放的道具体系结构，丰富的设计接口，数行代码即可开发出一套新道具
新增 论坛自定义帮助系统，让论坛帮助更具有论坛个性，站长可以自由添加、修改帮助内容，帮助会员尽快融入社区
新增 自定义跳转功能，后台可以设置哪些成功操作无需返回信息而直接跳转到结果页
新增 多处人性化操作，采用 Ajax 技术无需页面转换，直接提示操作结果
增强 WAP 系统，新增WAP注册功能，在手机设备兼容性能上大为提高，重新设计的操作界面更符合 WAP 标准和手机用户的使用习惯
增强 搜索功能增加特殊主题搜索
新增 控制面板首页显示最近五条积分记录
新增 签名及个人介绍的预览
新增 短消息草稿箱功能，可将消息暂时存储而不发送
新增 短消息快捷查看功能，采用 AJAX 技术直接让用户浏览短消息内容，并保留了原来的阅读方式（右键打开）
新增 批量主题下沉功能，原主题提升功能也增加了批量处理
新增 可撤消评分功能，让评分更人性化
增强 限时管理操作改为按小时计算时限
新增 远程附件上传、管理功能
支持各种主流 FTP 服务器和 SSL 连接
FTP 账号信息采用加密方式存放，更安全
防宕机系统可以保障在ftp服务器出现异常的时候，用户依然可以正常上传附件
远程附件设置检测，可避免由于设置的不当，导致附件上传失败
远程附件“是否隐藏远程附件真实路径”选择，让站长可以在防盗链和降低服务器流量压力下进行平衡
新增 论坛附件买卖，每个附件可独立设置价格，用户买卖的附件的收益可以随时查阅。帖子主题买卖和附件买卖可以任意组合使用，更加灵活便捷
新增 论坛附件回复可见功能（附件隐藏），只有用户回复主题后才可下载或浏览附件
新增 图片附件支持自动生成缩略图（后台有开关），可配合各种首页系统方便实时调用
新增 后台本地附件和访问路径设置，更加方便修改，让盗链附件可以随时失效
新增 附件混排，图文混排功能，自由设置图文格式与附件的排版关系。贴内附件详细信息自动掩藏或显示，表格化附件列表让附件信息更易浏览
新增 附件水印 PNG 格式图片支持
完善 多附件上传机制，可实现任意增减附件，实时预览图片，有效降低论坛资源占用和垃圾附件的产生
首创 GIF 动画验证码支持，提高灌水机识别难度
新增 自定义验证码宽高设置以及自定义背景
新增 验证码由4位数字，升级为字母＋数字混排。内置3种字体、8种背景可实现任何组合。可支持任意多种字体组合
新增 登录验证码智能显示，仅当会员多次录入密码错误的时候才会要求填写验证码
新增 论坛验证问答，论坛可自定义问题和回答，可将其应用于注册、发帖、回帖、短消息、CC防御，有效抑制灌水机
完善 发帖时验证码和验证问答提交，减少提交次数
新增 论坛版块可编辑帖子开关
新增 特殊论坛版块设置，可设置某个版块只允许发布某种特殊主题
新增 活动主题贴申请人联系方式
新增 活动发起者可以删除活动参与者
新增 发帖时自动保存帖子内容（兼容 Firefox 和 IE）
新增 引用回复时自动添加原帖子跳转
新增 free 和 hide 标签在编辑器中点击使用
新增 Smilies 显示采用 Ajax 分页技术，且后台可设置每列显示个数
增强 Smilies 添加功能，支持自动检索图片目录，添加 Smilies 只需要上传图片和点选即可
增强 多媒体标签代码，优化代码，支持同一贴子中的媒体播放时互不影响
新增Discuz! 代码增加 {RANDOM} 代表随机字串，用于唯一性标识
新增 对 BT 及电驴协议的 URL 和中文域名 URL 的自动解析
新增 左右分栏功能，显示风格与论坛自动融合，扩展方便。支持后台开关和会员开关
新增 论坛版块可设置为分类模式，只显示子版块
新增 论坛插件菜单支持 JS 下拉菜单模式，并支持显示顺序的设置
新增 主题显示时，可实时帖子大小字体的不同模式实时切换
增加“缩略显示在线列表”
增强 论坛横排显示模式下，增加内容的扩充
增强 贴内代码增加展开收缩按钮，可随意展开收缩
增强 投票主题显示投票的会员时，支持贴内自动分页显示
新增 论坛策略方案系统
可将用户对栏目、用户组、积分的设置保存为一个策略方案，这些方案可直接应用于相关设置
Discuz! 论坛系统内置10个适合不同类型论坛的方案，可以实现任意扩充
各种策略方案均提供下载和导入的功能
Discuz! 用户之间可以进行策略方案的交流
新增 公告类型－公共短消息，可强制提醒用户阅读某些重要内容。公共短消息无论一次发给多少用户，均为一条数据存储，不会占用过多资源
新增 分组公告功能。管理员可以针对某个组的会员，或者仅针对游客发布公告。其他组的会员不会看到此公告内容
新增 自定义新注册用户欢迎信息，改变一成不变的死板，让欢迎信息更具人性化
新增 首页友情链接显示开关，可暂时关闭某个友情链接的显示
新增 后台群发短消息时，可以通过“,”分割符来输入名单进行发送
新增 后台批量主题管理支持批量 打开/关闭 主题
新增 后台批量删帖增加内容最小长度的筛选
新增 批量删帖增加限定符 {x} 的搜索方式
新增 主题审核、回复审核忽略功能，支持按照论坛进行审核，且支持审核理由和发送短消息通知
新增 批量导入、导出过滤词语功能，支持多种模式的词语导入模式
新增 模板复制以及恢复为默认的功能，可快速修复修改混乱的论坛模板
新增 论坛权限设置横向纵向全选功能，让权限设置更快捷
新增 附件管理、主题管理、帖子管理、过滤词语管理等多处分页显示
增强 用户组添加功能，可选择权限参照组，且支持一次添加多个用户组
增强 删除论坛栏目功能，避免当该栏目主题数较多而导致删除失败
新增 备份数据库可选择 Zip 压缩存储，有效降低空间占用，上传下载更方便
新增 恢复备份支持Zip格式自动解压缩，用户只需要将压缩包上传即可自动恢复
增强 简化数据备份设置选择，自动选择最佳备份模式
增强 实现任意 MySQL 版本下的数据导入导出。让站长摆脱由于站点转移、服务器升级造成论坛乱码的困扰
增强 后台数据库升级工具，支持读取用户的升级方案文件，且可以自动识别升级语句中的数据表前缀标志
增加 JS 调用支持对特殊主题、主题分类的调用
增加 JS 调用增加是否显示“主题分类前缀”设置
增强 大幅度提升 JS 调用的速度，增加Rewrite 的支持和模板使用
增强 ShopEx 接口，增加 ShopEx 同步功能
增强 支付宝充值接口，使用支付宝最新的安全接口，支持 UTF-8
新增 积分兑入兑出双向开关限制，站长可设置某个积分只能从某个渠道获得。
新增 积分策略向导功能，结合论坛策略方案系统，站长可快速完成复杂的积分设置和布署
新增 积分清零功能（后台－积分奖惩），让站长可以重新勾划论坛策略
完善 积分交易界面，让使用更方便
新增 积分兑换JS预算，方便兑换者使用
新增 X-Space 个人空间热点导读
新增 X-Space 圈子功能支持
新增 SupeSite 收录模式批量设置
优化 Supesite 相关设置的缓存机制
新增 SupeSite 多数据库支持
新增 SupeSite 新接口模式〔测试阶段〕
广告位全新布局 提升论坛盈利空间
新增 帖间广告和分类间广告
新增 广告投放位置和广告显示位置选项，可在帖子内容的上方、下方和右方任意选择投放位置，可在帖子任意楼层选择显示位置
增加 注册页、跳转页及 Archiver 等广告投放范围
增加 两个尾部横幅广告位
优化 广告缓存机制
加强论坛安全防御措施，让站长更加安心
新增 后台危险操作屏闭设置，管理员可以将平时很少用且比较危险的操作关闭
新增 随机 COOKIE 前缀设置，可避免同域下 COOKIE 冲突
新增 随机数据表前缀设置，且屏闭数据表前缀错误信息
新增 论坛文件校验工具，可即时发现论坛程序被非法篡改
新增 数据库校验工具，可用于校对当前数据表结构和表准结构之间的差异
新增 是否允许管理员使用动态IP进入后台进行管理
增强 防御CC攻击功能，采用独立防御和组合防御模式降低攻击压力，屏闭非法访问
大幅度进行程序优化，提升整体效率 20% 以上
首创 智能化请求处理系统，让站点服务器更有效的工作，综合降低服务器负载压力
优化 成熟的主题缓存技术，让论坛从容应对大型应用，数据缓存可支持多台服务器同步
优化 调整论坛缓存机制，缓存数据更小，处理速度更快
新增 论坛首页缓存技术，进一步为服务器减压。缓存技术可以兼容目前所有的首页类插件，让插件也可获得缓存效果。
对以往问题的修正
修正 编辑器颜色与viewthread颜色一致
修正 悬赏价格溢出问题
修正 编辑器在 firefox 浏览器下的一系列焦点问题
修正 js 字数检查统计错误
修正 计划任务编辑时分钟显示不正常
修正 编辑用户名（查询条件为新用户名）的 bug
修正 后台备份数据时，SQL文件超出指定大小的问题
修正 多媒体标签跨平台跨浏览器兼容性问题
修正 免费空间恶意加广告导致的后台失效问题
修正 积分策略下限判断不正确的BUG
修正 批量删帖checkbox无效的BUG
修正 邮件发送SMTP服务器的兼容性
修正 可打印版本的一些问题

+--------------------------------------+
Discuz! 5.0.0
+--------------------------------------+
融入更多 Web 2.0 元素，新增多样化论坛主题功能，最多可扩充至 256 种主题类型
全新的投票主题系统，可以自由定制投票项目、投票期限
可强制用户投票后才能查看结果，管理员可以查看会员投票详细情况
新增 My（我的 ...）功能模块，更加关注论坛用户的使用体验和成长经历，用户可以随时查阅发表的主题、回复、交易、活动、收藏 ...
新增所见即所得编辑器，可兼容大部分浏览器，支持自定义Discuz! 代码快捷输入按钮
新增 js 菜单支持，为用户自定制 js 菜单留有接口
新增自定义论坛首页功能，站长可以自由设计论坛 Portal 系统
深度整合 X-Space 个人门户系统
利用论坛会员系统，实现统一注册、登录、退出
支持 X-Space 和论坛相互推送资源，日志、商品、文件、书签可导入指定栏目
相互推送的资源可应用该论坛的积分策略，充分调动会员使用热情
论坛首页支持 X-Space 热门 blog 列表，由计划任务每日自动更新，系统负担降至最低
无论在论坛浏览帖子还是在 X-Space 浏览 blog 文章，均可自由切换浏览模式
内置社区门户系统 SupeSite 核心支持，利用现有论坛资源，迅速构建整站系统
后台可任意开关 SupeSite 功能，调整 SupeSite 相关参数
允许定制 SupeSite 对于论坛每个栏目的资讯收集收录模式，可实现自动、手工、智能条件多种收录方式。
可设置管理组对于资讯收录的权限，便于论坛增设内容采编管理成员
支持采编管理成员在前台执行收录、强制回收（取消收录）功能
支持后台批量主题管理操作，方便统一回收主题和推送主题
支持会员发起“活动主题”功能，可以在指定栏目发起虚拟或者现实活动，扩展社区会员交流渠道
新增用户组以及栏目权限设定，允许管理员详细设置每个用户组和栏目的活动权限
发起活动内置项目可以根据需要进行填写，支持栏目过滤查看
活动主题可以设置活动地点、时间、人数、报名截止时间、费用支付方式等
活动时间可以采用精确设置或者模糊设置，或由参与人员商议而定
会员申请参加活动，可以对活动发起人进行留言，同时选择活动费用支付方式
活动发起人可以对申请者进行审批，待审批会员名单采用保密方式存储，普通会员无权查看
会员可以按照活动地区搜索，选择适合自己的时间、地点进行参与。
新增发布“悬赏主题”功能，用户可以在论坛完成设置提问、支付赏金、参与回答、确定最佳答案、领取赏金等一系列操作
管理员可详细设每个栏目、每个用户组发布悬赏主题的权限，每个用户组可自由设置悬赏金额的范围
悬赏功能采取先行扣除用户积分的模式，可有效避免用户获得答案却不支付的问题
悬赏功能支持论坛原有积分税收机制，由悬赏者承担税收费用
悬赏者可根据其他用户回答状况选择设置最佳答案，同时将赏金奖励给答案作者
会员可随时查阅自己的悬赏统计，查找自己发布和参与的悬赏主题
新增支付宝合作身份设置，提升论坛交易安全性
新的论坛交易流程，买卖双方可以在论坛完成整个交易
支持论坛设置交易手续费（佣金），可根据不同会员组，设置交易优惠幅度以及交易金额范围
论坛交易 PM 提醒短信，让买卖双方更及时了解交易进程
卖方可随时监控自己商品的销售及库存情况，查询在论坛进行的每项交易，可以依据订单查找有购买意向的用户
买卖双方可通过“我的交易”功能可随时监控自己的每笔交易的状态
管理员可随时监控论坛全部交易情况，可以通过设置积分策略（交易成功积分）建立论坛交易诚信体系
论坛交易积分可以用于佣金的扣除以及商品价格的优惠，让买卖双方可以在论坛享受到交易的便捷和实惠
新增论坛快速部署功能，管理员仅需要设置站点的性能、功能等需求，便可根据最优化原则，迅速将论坛所有设置配置完毕
积分策略增加交易成功、参与投票积分，可用于建立更多会员激励机制
论坛栏目设置增加精华、上传附件、下载附件自定义策略，让积分设置更加灵活
新增在帖子中显示最近评分结果
新增精确显示帖子作者在线状态，满足部分论坛的特殊需求
新增帖子附件更新功能，作者可以在保留原有附件编号（aid）、下载次数的情况下更新附件内容，避免重新上传附件时丢失会员下载情况或者下载连接失效
新增会员（在线/隐身）状态即时切换
新增会员收藏夹及订阅列表容量限制
新增会员个性化帖子显示设置，会员可以根据需要选择是否浏览会员头像、签名、帖子中的图片
新增会员注册模式选择，管理员可以在后台设置会员注册时使用简洁模式还是完整模式
新增会员注册支持 Ajax 技术，可以对会员提交的注册资料即时判断
新增会员注册 email 限制功能，可以指定注册用户仅能够使用某些邮箱进行注册
新增会员注册用户名最少字符限制
新增会员浏览短消息列表进行未读短消息过滤功能
新增会员权限查询功能（含游客）
新增会员每小时发帖数量限制
新增多论坛搜索支持，可以选择一次搜索一个、多个或者全部论坛
新增搜索精华帖和置顶帖支持，便于会员搜索到更有意义的主题
新增搜索结果可直接进行管理功能（仅管理员和超级版主）
新增 ICP 认证设置，方便论坛站长
新增根据关键字批量删除短消息功能
新增附件下载时间段设置，可以指定会员仅能在某个时间段下载
新增 .pdf 和 .torrent 类型附件的识别
新增论坛公告支持 URL 连接，方便管理员发布各种形式公告
新增首页是否显示在线游客设置
新增在线列表的人数设置，在线人数较多的站点可以通过减少首页现实的在线人数，提高首页效率
新增主题分类显示模式设置，可以分别设置某个主题分类采用平板显示或者下拉列表显示，提高论坛列表页面使用效率
新增论坛版面横排功能，可以设置某个分类或者某个论坛的子论坛使用简洁版面排版，论坛首页支持常规分类与横排分类的混合显示
新增会员生日列表功能（需开启会员列表）
新增首页最大显示会员生日数量设置，可避免同一天生日的会员过多，引起首页浏览速度降低
新增快速发贴、回复、短消息中显示表情符号（Smilies）
论坛原 Blog 功能修改为论坛文集，文集模式下支持显示评论中的附件
新增论坛帖子复制功能，便于版主管理优秀主题
新增管理操作(提升，分割,合并) PM 通知相关会员功能
管理员可以查看被删除和禁言用户发表的帖子
后台日志管理动作采用中文显示
数据库备份增加 16进制代码备份格式选择，可以有效避免备份中的中文冲码问题产生
新增手动清理收藏夹和日志数据，避免论坛垃圾数据占用资源和空间
更严格的后台权限级别审核，论坛可根据需要增设论坛创始人，有效保护论坛超级管理员帐号
增加主题审核后续管理操作，方便主题审核后进一步管理
后台管理界面布局调整，对功能进行重新分组整合，提供最常用功能链接
简化禁止用户、论坛主题分类等多项管理操作，令论坛管理更加便捷
后台日志管理动作采用中文显示
优化计划任务，避免论坛并发人数过大，任务重复执行。
增强审核帖子功能，支持有相应权限的管理人员在审核时，可以对文章进行编辑
增强验证码随机效果，支持用户自定义数字图片，支持实时更新验证码图片（点击图片可自动更新）
增强短消息发送机制，避免没有 PM 权限的会员发送短消息
增强会员访问权限设置，论坛显示顺序与前台显示顺序相同
增强会员控制面板安全型，用户修改Email需要填写原密码
原置顶I/II/III支持用户自定义名称（可通过修改语言包实现），默认为本版置顶/分类置顶/全局置顶
优化搜索引擎支持，调整论坛网页 title 显示顺序，提高搜索引擎收录几率
优化网页 meta 和 keyword 标签，增加主题关键词显示（需开启 qihoo 搜索功能）
优化论坛 css 设置，可支持使用 css文件缓存，提高浏览速度
优化论坛网页输出代码，主要页面可支持 W3C 认证
修正系统负载控制对于 WIN32 系统环境下的判断
修正词语过滤的替换字符包含特殊字符时，导致帖子无法正常发表问题
修正删除帖子或附件不减对应积分的问题
修正签名高度产生空白的问题
修正买卖贴下载附件和无浏览权限可以下载附件的问题
修正操作失败时，后退网页无法返回正确的验证码问题
修正论坛本地头像选择问题
修正可以主题移动到需要审核的栏目的问题
修正主题删除时，部分数据表统遗留系统垃圾的问题
修正当用户所在的组被删除时，程序反复请求刷新cache，导致该用户无法进入论坛问题
修正非法用户上传扩展名为空的附件问题
修正语言包中部分文字以及拼写问题
修正 MySQL 错误报告设置 $dbreport 无效问题
其他更多增强系统安全性、容错性及稳定性的修正不一一列出

+--------------------------------------+
Discuz! 4.1.0
+--------------------------------------+

新增 Cron(计划任务) 机制，并提供自定义计划任务接口
新增 Hook(插件钩子) 机制，最大限度减少插件对原程序的修改
新增 qihoo 搜索功能，与论坛搜索、查阅主题功能无缝连接
新增自定义数据库备份功能，可以对备份的数据表任意组合，更可以备份各种插件自行添加的数据表
新增商业用户可以设置在论坛页脚显示授权链接，明示商业版授权身份
新增论坛推广和宣传功能，可对积极推广论坛的会员进行统计、奖励
新增管理工作统计，管理员可以查阅管理人员各月管理操作统计，为版主考核提供依据
新增匿名发帖功能，依据用户组设置，部分会员可以在特定的版块发匿名帖
新增限时管理功能，置顶、精华、打开、关闭主题可设置操作时限，减少版主工作强度
新增URL静态化选项，可将常见URL翻译为静态形式(伪html)，使论坛更容让搜索引擎收录
新增后台清理无效移动标记的功能
新增生日统计系统与Email祝福系统
新增附件点击数延迟更新功能
新增论坛图片附件水印JPG质量参数可调
新增后台论坛版块设置快捷管理链接，并支持栏目设置复制功能，可以快速部署所有栏目
新增批量增减用户扩展积分功能，支持发送积分增减通知，从而实现对用户奖惩
新增限制用户60秒内最大搜索次数，避免频繁搜索造成服务器压力加重
增强帖子编辑功能，可直接在贴子中任意位置引用附件
增强论坛短消息功能，可以搜索短消息，并下载全部短消息
增强论坛通知功能，可多条件任意组合搜索会员，分批发送
增强今日发帖和本月在线时间功能，计算更准确，系统负担更低
增强主题买卖功能，增加[free][/free]标签支持，用以显示主题中的免费信息
增强插件接口，支持key=variable的对应关系，同时模块在添加后允许被修改
增强编辑用户扩展积分功能，可以实时计算用户总积分，并给出用户组升级、降级提示。
优化公告的处理方式，提高公告系统效率
优化部分显示模版，提高显示效率
优化论坛交易功能，提升交易内容解析效率
优化过期广告处理，过期后自动变为失效，并进行保留
优化评分功能，增加帖子评分理由字符长度，定为40个字符
优化 mysql 模块，提高对Mysql各版本的兼容性，完美支持 Mysql 5.0，新增数据库字符集的设置
修正同一个帐号多个客户端登录后，系统统计该帐号的在线时间出错
修正论坛主题移动功能，禁止移动到原版块
修正禁止IP操作对个别用户无法立即生效问题
修正非闭合 bbcode 在帖子引用时造成对后面的文字影响
修正被禁言会员帖子内容屏蔽问题
修正禁言会员被版主或者超级斑竹解禁后，丢失用户组信息问题
修正通行证接口程序超级链接问题
修正论坛 Archiver 显示链接问题
修正后台搜索用户列表页面跳转问题
修正后台版主“版块规则”菜单显示问题
其他更多增强系统安全性、容错性及稳定性的修正不一一列出

+--------------------------------------+
Discuz! 4.0.0
+--------------------------------------+
完全支持 PHP5
第四代Discuz! 数据存储结构与预处理算法，可有效避免表锁,实现比上一版本高20%的负载能力
新增整合的论坛 Blog 系统，最大限度的实现资源多层次利用并可设定哪些用户有权使用本功能
新增完整的多附件功能，同一帖子可上传和管理多个附件
新增主题和回复人工审核功能，新发帖子须经版主审核后才显示（适用于政府及监管力度较大的论坛）
新增定时打开、关闭论坛发贴的功能（适用于政府及监管力度较大的论坛）
新增回收站功能，被删主题将转入回收站并由管理员审核后删除或恢复，同时可设定哪些论坛开启回收站
新增自定义添加管理组功能，可自由添加诸如“实习版主”等特殊管理组，并分别设定权限，可细化到任何一项后台功能的权限设定
新增用户组有效期限定，通过该限定，用户在到期时将自动变为指定的原用户组
新增分区版主功能，同时论坛支持可选的版主权限继承功能
新增用户在线时间统计功能，并可杜绝作弊
新增用户页面访问量(Pageviews)统计功能，可统计每个用户访问的页面数
新增适合各种服务器环境使用的验证码功能，可在多项功能和页面中打开验证码功能
新增主题分类功能，支持分类浏览、批量移动、加前缀，可在全论坛共享分类，让主题分类成为除了“论坛”以外更独特的一条线索
增加广告管理系统，可实现表格自动排布、分版及随机展现
新增 WAP 功能，可实现登录、看帖、发帖、回帖、收发短消息等功能
新增时间段功能，可设置不同时间段禁止发帖、搜索、浏览等
独创论坛内容的 RSS Feed 功能，实现内容订阅服务，并可依据订阅用户权限，智能判断相关权限
彻底革命的积分体系
支持 8 种自定义积分，可分别设定其名称单位、启用与否、是否在帖子中显示等。
可通过个性化积分公式，以 8 种积分、在线时间、用户 Pageviews、发帖数、精华帖数等项目加权计算总积分，用以衡量用户级别和权限
可设定积分相互兑换比率，比率不为 0 的积分可以由用户自行相互兑换，可设定每次兑换的交易损失率
可设定允许通过支付宝以在线支付的方式购买积分，并积分将实时到账并自动通知购买者
可设定其中一项积分为可交易积分，该积分可在论坛购买帖子，或转让给其他用户
可设定用户发帖、发短消息、上传下载附件、搜索等操作时，各项积分的增减策略
可设置不同用户组用户可进行评分的积分项目及个项目的最小最大分值、24 小时最大评分数
可设置不同论坛的发帖与回帖积分增减策略
去掉老版本的删除积分设定，发帖得多少积分，删除就扣多少积分
用户组新增公共用户组功能，用户可自由加入，或将其设置为主用户组，新增积分购买用户组权限和头衔的功能，可设定日价格，并具备自动过期处理
新增买卖帖子功能，具有交易记录及版主强制退费功能
具有完备的帖子买卖、积分交易、兑换、转账记录
可设定转账和兑换所保留的最小积分余额
新增多重用户组功能，用户可以具有一个主用户组和多个辅用户组，能够兼具多个用户组之间的浏览权限
增加社区支付宝交易功能
全面重写的 JS 调用功能，提供帖子、用户、附件及论坛等资料的调用，后台提供代码向导，只需输入相关参数即可自动生成调用代码
全面增强的统计功能：新增分月和分日的发帖量统计，静态统计全面应用缓存
新增所有重要管理操作和评分记录操作理由并向作者发送短消息的功能
新增全局置顶功能：置顶 III 可在全论坛置顶，置顶 II 可在当前分类置顶
可设定重要管理操作和评分是否强制输入理由和发送通知短消息，并可设置理由选项内容
新增内容干扰码功能，可以防止特定的有版权的内容被轻易复制
新增Discuz! Archiver，以静态页面形式显示论坛内容，以便被搜索引擎抓取（需要服务器支持）
新增主题修复功能，可修复错误的统计和超长标题引起的乱码问题
新增用户组上传配额限制，可限制每天用户所上传附件的字节数
新增论坛附件类型限制，除了用户组设定外，分论坛可以设置本论坛允许上传的附件类型
新增前台主题按点击数，回复数，发帖时间等排序浏览的功能
新增手工审核新注册用户的功能，用户可多次提交，管理员可批量通过或否决
新增勋章功能，可自行设定勋章数量、图片及内容
批量删除新增对帖子筛选的完整支持，可根据条件搜索并人工筛选匹配记录
不良词语列表允许根据不同词语选择过滤、禁止发布包含相关内容的文字
新增以用户 ID 登录论坛的功能
首页分类列表中不同分类可选择展开或隐藏，并具有记忆功能
首页论坛列表中可选择在上级论坛中显示子论坛名字和链接
新增论坛列表页面显示本版规则（Rules）的功能
新增用户帐号合并功能，包括帐号、帖子、短消息等各项内容
新增作者发布多少分钟后不能再编辑帖子的选项
新增包含完整参数的后台访问记录
管理人员禁止用户时，可以设定禁止的有效期，并新增禁止用户记录
新增前台主题浏览时的批量管理功能
用户组中将发帖和回复权限分开，可分别设定
新增批量设置高亮功能
增加了基本的搜索引擎优化（SEO）功能
新增外表格背景的图片支持
新增评分上下限的分别设定
新增最近访问过的论坛版块快捷跳转功能
新增对帖子内容文字大小的单独设定功能
新增针对用户组的帖子 html 代码功能，有权限用户可选择是否在帖子中解析 html
新增主题和用户列表最大翻阅页数限制，有效避免信息抓取和恶意访问
新增重新设计的人性化列表分页导航条
新增 [attach]x[/attach] 标签，可以将附件显示与帖子的任意位置
新增重新设计的更为方便和人性化的无权提示信息
新增用户选择用户时差，时间格式,日期格式的默认设置功能
星星可以类似 QQ 的月亮太阳方式现实，并可自定义星星升级的阀值
新增短消息导出功能，方便用户备份整理短消息
附件增加说明功能，可对每个附件内容作以介绍，方便同一帖子中多附件的区分
新增昵称功能，并可设定哪些用户组可以使用本功能
增加论坛访问列表功能，除了IP 禁止以外，可只允许特定 IP 地址访问论坛，适用于高校或企事业单位的内部论坛
增加后台访问列表功能，可只允许特定 IP 地址访问论坛系统设置，提高安全性
特殊 IP 注册配额限制，可防止特定 IP 段访问者恶意注册
新增是否允许重复对一个帖子评分的选项
增加管理员后台 Notes 功能
新增对论坛上下级别归属问题的修正程序（在编辑论坛时即可自动完成）
新增管理团队功能，可统计版主及管理员离开时间及近一个月的发帖数量（在统计功能中）
新增帖子自动锁定功能，可设定发布或最后回复后多长时间，系统自动关闭主题，避免普通用户回复
用户栏目定制增加“不可更改”属性，用户一经填写即不可更改，可用于类似真实姓名、身份证号等信息
新增分论坛点击后进入指定网页或 URL 的功能
新增不同论坛可以设定允许上传不同类别附件的功能
增加 Skin Selecter 功能，多风格论坛可在页脚自动显示风格下拉菜单
主题列表公告置顶与普通主题的分隔显示
新增删除多少天以前的帖子不扣分的选项
发帖时 Smilies 超过六行自动缩略显示并支持弹出窗口点击
新增论坛系统设置面板（后台）的在线用户列表功能
可设置签名最大高度，避免超长签名给版面带来的破坏
新增用户编辑帖子的时间限制，在一定时间后作者将无法对帖子进行编辑或删除
统一全部论坛 Cookies，使得在同一域下同一库中的多个论坛不需设定 Cookie 路径也可无冲突的使用
对主题的管理操作均记录在案，并直接在主题页面中显示，无需再与记录进行比对
数据恢复工具（restore.php）新增对分卷备份数据的自动导入功能
新增帖子中第几篇（#1, #2...）的显示
新增用户被删除或禁止时，可设定是否自动屏蔽其所发表帖子内容
新增评分记录功能，可在帖子中显示参与评分的用户和评价分数
评分功能允许显示更多的间隔档，被评分的主题依据其帖子的评价分数在主题列表中显示标志
报告帖子功能用户可多项选择发送报告的对象
完善了 ESMTP 邮件发送程序，发送失败时可自动将提示信息记录在错误日志中
分卷备份在建表时记录 AUTO_INCREMENT 值，以避免在个别系统上可能的问题
新增数据恢复程序的智能容错功能，可最大限度的导入存在错误的备份数据
直接使用纯真网络（cz88.net）的 IP 地址库，地域分析速度比以前快 10 倍
短消息功能中用户可设置拒绝所有发来的短消息
用户信息页面中，如果是版主可自动列出所任职的版块名称
增加了鼠标滚轮自动图片缩放功能
新增移动主题短消息通知的目标论坛的说明
新增图片附件水印功能
新增注册就有多少积分的设定
新增是否允许重复评分的设定，评分可自行输入分值或选择
新增帖子发表多长时间后不允许被评分的选项
好友列表加入描述功能
新增论坛今日发帖数功能
修正发帖时下拉菜单选择相同字号字体颜色不方便的问题
修正批量删除短消息用户名过滤不正确的问题
修正用户栏目定制中多个可选项混淆的问题
修正论坛公告内容中头部内容使用 html 造成的显示问题
修正附件尺寸过大造成系统设置首页读入缓慢的问题
修正搜索时相关特殊字符的转义问题
改进了附件扩展名处理与过滤方式
因多附件原因，主题列表不再标明附件的类型
彻底解决后台重复输入密码问题
短消息忽略列表对报告消息也起作用
附件下载权限对图片附件也起作用
多处增强系统容错及稳定性的修正不一一列出
多处增强功能人性化及操作简便性的修正
与最大电子支付提供商浙江支付宝网络科技有限公司达成战略合作伙伴关系，将支付宝服务全面整合到Discuz! 论坛系统中来
与知名电子商务软件提供商 ShopEx 达成战略合作关系，独家捆绑软件接口，可实现统一认证及其他相关功能
与知名建站软件提供商 SiteEngine 达成战略合作关系，独家捆绑软件接口，可实现统一认证及其他相关功能
提供易于应用的 通行证 API 接口，外部程序可方便的实现统一登录、积分消费与同步等功能

+--------------------------------------+
Discuz! 3.1.2
+--------------------------------------+
新增带缓存的高效率首页新帖调用功能
后台改为 10 分钟后台不动作重新验证密码
修正头像可能的恶意代码问题
修正了已知的所有小问题

+--------------------------------------+
Discuz! 3.1.0
+--------------------------------------+
Discuz! 3.10 在论坛易用性，人性化方面做了重大改进，同时安全级别也明显提升
除了避免本身可能被利用的问题以外，Discuz! 对部分人为因素造成的隐患也从技术上加以避免，可有效保证论坛安全稳定运行
优化子论坛帖数统计与更新算法
优化禁止 IP 缓存和判断算法
优化用户权限算法，自动识别权限和判断是否连接表读取
增加安全提问功能，管理人员强制使用提问登录
增加密码或安全提问连续错误自动禁止 IP 的功能
增加发帖数级别功能，可选择在帖子中对普通会员根据发帖数，或积分（用户组）确定级别头衔
增加点击数批量更新功能，可有效节约服务器资源，加快访问速度
智能判断解析Discuz! 代码和 Smilies，主题浏览资源消耗降低30%左右
增加服务器端 MySQL Dump 备份（需要 Shell 权限），备份和恢复数据速度比原来提升十几倍
增加主题变色和着重高亮显示功能
增加可按不同类型附件设置最大上传尺寸的功能
增加新注册会员在多少小时内不能发帖的选项
增加附件来路检查（防盗链）开关，可禁止从其他网站下载论坛附件
增加按 IP 地址批量删帖的功能
增加用户上次访问 IP 地址记录与查询功能
增加同一IP多长时间内不能重复注册账号的设定
增加以发帖数搜索并管理用户功能
增加论坛记录分页条目选项和全文搜索功能，改为按日保存
增加禁止用户名的通配符“*”支持
增加用户组头衔按不同颜色显示
用户栏目定制时可选择隐藏功能，隐藏后只有管理员可见用户在自定义栏目中填写的信息
用户验证 Email 不再直接发送密码，改为将用户变为“等待验证会员”后提供激活链接
可分别设置首页或分论坛是否显示在线列表
重写取回密码功能
报告帖子时可直接导向置顶帖子
修正特殊权限时子论坛贴数统计可能不正确的问题
修正注册时签名字数无法限制的问题
修正发布新公告的管理员账号被删除时的缓存更新问题
修正后台编辑论坛处的几个未翻译的英文提示
修正当好友被删除时无法将其从好友列表中删除的问题
修正子论坛用户权限显示不正确的问题
修正版主可以合并其他版块帖子的问题（超级版主和管理员不限制）
修正某种情况下搜索高亮显示会破坏html代码的问题
修正用户被删除在帖子中没有提示的问题
修正查看本帖新话题功能不正确的问题
修正后台注册新用户上次访问未记录的问题
修正修改普通用户用户积分后不能自动改变用户组的问题
修正游客可以互相编辑帖子的问题
修正用户拒收消息群发（newsletter）时仍能收到的问题

+--------------------------------------+
Discuz! 3.0.0
+--------------------------------------+
整体效率和负载能力比Discuz! 2.0.0 高 30%，在分论坛较多的应用下可提高 50% 以上。PIII 1G 级 Linux 主机上百万贴论坛前台执行时间不超过 0.05
重新设计的坚固的数据结构和最少化数据库查询，使得Discuz! 3 可以在恶劣的服务器环境下快速稳定运行
全论坛编译模板和语言包，更换前/后台提示语言不需要修改程序和模板
用户对应关系和执行效率优化

全新设计的搜索功能，使得新的搜索比以往快数倍，更有可共享的搜索缓存，有效减少数据库负载
更方便的权限控制，既可以在分论坛中使用用户组对权限进行设定，又可以单独控制每个用户在该论坛的权限
自定义Discuz! 代码功能，可对代码进行扩充并支持最多三个动态代码参数
自定义会员信息项目功能：支持选单及在帖子中显示该自定义项目（如添加：你最愿意玩的是什么游戏？）
支持用户上传头像，可控制头像文件大小、像素大小并可设置用户组上传权限
支持隐身登录功能，并可设置具有隐身权限的用户组
可设置发贴最小字数，有效预防灌水，另外对快捷键 JS 做了优化
新闻邮件（News Letters）可发送给不同用户组
论坛公告可设定显示顺序并帖子列表中显示（原有置顶 III 功能取消）
保留了Discuz! 1.0/2.0 的积分判定用户组的功能，并进一步加强
交叉用户组，普通用户组和管理用户组可以交叉并得到交叉权限
彻底重写的特殊用户组功能，不再靠输入用户名判断，而作为用户属性写入用户记录中
可以分别设置发贴、回复和帖子被删除的积分。每个分论坛也可以设定在该论坛的发贴、回复积分
禁言、禁止 IP 等操作会立即生效，不会再有延迟
版主和超级版主的权限可以具体设定，并具有自己的管理面板，可进行允许范围内的管理操作
与版主/超级版主共享的管理功能都会记录操作者用户名，版主无权更改管理员的设置项目
新增前台重新统计回复数功能
可以根据 UNIX 负载情况限制用户访问
全新的发贴、搜索 flood 控制，确保万无一失
自建管理面板会话跟踪（Admin Sessions），不再需要配置 PHP Session，10 分钟密码过期验证
可过滤签名、头衔等处的不良词语
[img] 代码可以识别恶意设置长宽，避免显示过大空白页面问题
头像禁用 flash，各种头像均可自动设别或手工限制长宽，避免影响页面显示
可以设置 IP 禁止的有效期

+--------------------------------------+
Discuz! 2.0.0
+--------------------------------------+
采用全新的第二代Discuz! 内核，程序结构经过科学的重新组建，执行效率比 1.0.1 高一倍以上
独有先进的编译模板内核，全部模板采用文件存储，前台界面完全使用语言包构件语言元素
新增风格界面快速导入和全局模板搜索功能
全面支持多模板，多语言和分论坛间设定不同的模板，风格和语言
新增用文本文件扩充论坛帮助的功能
自建快速会话跟踪系统，除了具有 1.0.1 session 全部功能外，结构更合理，速度更快
新增论坛全局置顶功能（置顶III）
后台管理界面新增了密码限制，即使登录状态也需要输入管理密码才可进入，杜绝安全问题
新增搜索控制和时间选项，并可对不同用户组设置不同的搜索级别
新增支持多选，编辑和选民列表功能的投票
自建 SMTP 模块，支持 ESMTP 验证，并提供三种可选方式发送邮件
重写了更为方便友好的短消息和好友列表功能
新增附件按日期，月份，类型或论坛分目录保存功能，避免单一目录文件过多的问题
新增用户到访加分的选项
新增评分记录和控制，彻底避免利用评分作弊的问题，可记录并显示帖子的评分结果，并自动加入高级用户（按最高评价分数计）的权重
新增帖子列表页面快捷管理选项的开关
批量删贴可选择是否扣除用户积分
去除对帖子长度 64K 的限制
修正 1.0.1 发送邮件的一系列问题
修正 Gzip 压缩在个别浏览器不兼容的问题
修正在线列表无法分页的问题
修正报告主题的错误

+--------------------------------------+
Discuz! 1.0.1
+--------------------------------------+
新增用户评分记录功能
各主要页面均给出明显的完全 html 构建的新短消息提示，不再使用 JS 弹出窗口
用户组提供全面的积分覆盖/用户/权限的检查和提示，减少误操作的机会
导入不同版本数据给出警告提示
加强了新注册用户名的检查
更新了短消息和好友列表的删除算法
非法登录记录中，用户的错误密码被部分屏蔽
只写主题不写内容的新帖被禁止发表
修正登录页面风格选单为空白的问题
修正无法分割主题的问题
修正游客允许发帖后仍提示密码不正确的问题
修正[email]，[mid]代码的问题
修正引用超过一定长度的[hide]代码内容会显示出原文的问题
修正关闭论坛，以普通用户身份登录无法退出的问题
修正批量删贴论坛的最后发帖人和时间不正确的问题
修正管理员编辑用户，造成用户时间显示格式不正确的问题
修正不良词语无法完全过滤的问题
修正主题包含引号无法调用新帖的问题
修正 BIG5 版本特殊用户名造成的无法发送，好友列表无法删除的问题
修正极个别 Apache 中 PHP 以 CGI 方式运行时论坛地址识别不正确的问题
修正安装程序中新进会员链接地址不正确的问题

+--------------------------------------+
Discuz! 1.0.0
+--------------------------------------+
Discuz! 的第一个版本，希望Discuz! 能够能够为您带来全新的使用体验
